[Bug 325277] Re: VDR i18n doesn't work if LANGUAGE env is set
Reinhard Tartler
siretart at tauware.de
Mon Feb 23 21:19:59 UTC 2009
ah,it seems that it worked for the original reporter because he has
perhaps an /etc/default/locale file.
What did work for me is the following command:
echo VDR_LANG="$LANG" | sudo tee -a /etc/default/vdr
This bug has been fixed in debian. The patch can be seen here:
http://patches.ubuntu.com/by-release/debian/v/vdr/vdr_1.6.0-8.patch
relevant part:
+++ 1.6.0-8/debian/config-loader.sh 2008-11-29 22:26:00.000000000 +0000
@@ -65,7 +65,10 @@ ENV_FILE="none"
[ -r /etc/environment ] && ENV_FILE="/etc/environment"
[ -r /etc/default/locale ] && ENV_FILE="/etc/default/locale"
[ $ENV_FILE = none ] || \
- VDR_LANG=$(egrep "^[^#]*${var}=" $ENV_FILE | tail -n1 | cut -d= -f2)
+ for var in LANG LC_ALL; do
+ eval VDR_LANG=$(egrep "^[^#]*${var}=" $ENV_FILE | tail -n1 | cut -d= -f2)
+ [ -z "$VDR_LANG" ] || break
+ done
[ -z "$VDR_LANG" ] && VDR_LANG="C"
# Enable VFAT file system support by default
** Changed in: vdr (Ubuntu)
Status: New => Triaged
--
VDR i18n doesn't work if LANGUAGE env is set
https://bugs.launchpad.net/bugs/325277
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
--
ubuntu-bugs mailing list
ubuntu-bugs at lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs
More information about the universe-bugs
mailing list